jphase.fit

## Class ECCompleteFitTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jphase.fit.ECCompleteFitTest

- All Implemented Interfaces:
    junit.framework.Test

      public class ECCompleteFitTest
      extends junit.framework.TestCase

  Set of Tests for the fitting method in the ECCompleteFit class (Erlang Coxian Distribution)
  Author:
    Juan F. Pérez

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECCompleteFitTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testParamCaso1()` Test for the moment fitter class
    `void` | `testParamCaso2()` Test for the moment fitter class
    `void` | `testParamCaso3()` Test for the moment fitter class
    `void` | `testParamCaso4()` Test for the moment fitter class

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ECCompleteFitTest

          public ECCompleteFitTest()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - Not used

    - #### testParamCaso1

          public void testParamCaso1()

      Test for the moment fitter class

    - #### testParamCaso2

          public void testParamCaso2()

      Test for the moment fitter class

    - #### testParamCaso3

          public void testParamCaso3()

      Test for the moment fitter class

    - #### testParamCaso4

          public void testParamCaso4()

      Test for the moment fitter class